/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userroledataid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'userroledataname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'userroledataname',
        prop: 'userroledataname',
        dataType: 'TEXT',
      },
      {
        name: 'dataentityname',
        prop: 'dataentityname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgdr',
        prop: 'orgdr',
        dataType: 'SMCODELIST',
      },
      {
        name: 'deptdr',
        prop: 'deptdr',
        dataType: 'SMCODELIST',
      },
      {
        name: 'userdr',
        prop: 'userdr',
        dataType: 'SMCODELIST',
      },
      {
        name: 'isalldata',
        prop: 'isalldata',
        dataType: 'NSCODELIST',
      },
      {
        name: 'syspresetquery',
        prop: 'syspresetquery',
        dataType: 'TEXT',
      },
      {
        name: 'dataentityid',
        prop: 'dataentityid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroledataid',
        prop: 'userroledataid',
        dataType: 'GUID',
      },
      {
        name: 'userroledata',
        prop: 'userroledataid',
        dataType: 'FONTKEY',
      },
    ]
  }

}